package fr.natan.addressmicroservice.service.contract;

import fr.natan.addressmicroservice.entity.Address;
import fr.natan.addressmicroservice.exceptions.AddressnotFoundException;
import fr.natan.addressmicroservice.exceptions.AddressOneOrMoreFieldsEmptyException;

import java.util.List;

public interface AddressContract {
    Address createAddress(Address address) throws AddressOneOrMoreFieldsEmptyException;
    List<Address> getAllAddresses();
    Address getAddressByID(Long addressID) throws AddressnotFoundException;
    void deleteAddress(Long addressID) throws AddressnotFoundException;
    Address updateAddress(Long addressID, Address address) throws AddressnotFoundException;
}
